Debian Bug report logs - #666280
jlint: FTBFS: jlint.cc:299:50: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]

version graph

Package: src:jlint; Maintainer for src:jlint is Ganesan Rajagopal <rganesan@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 30 Mar 2012 09:27:55 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version jlint/3.0-4.4

Fixed in version jlint/3.0-4.5

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ganesan Rajagopal <rganesan@debian.org>:
Bug#666280; Package src:jlint. (Fri, 30 Mar 2012 09:27:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Ganesan Rajagopal <rganesan@debian.org>. (Fri, 30 Mar 2012 09:28:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: jlint: FTBFS: jlint.cc:299:50: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
Date: Fri, 30 Mar 2012 11:15:24 +0200
Source: jlint
Version: 3.0-4.4
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120330 qa-ftbfs qa-ftbfs-buildarch
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

This rebuild was done by building only architecture:any binary packages
(binary-arch target of debian/rules), and using a newer dpkg that uses the
build-arch target if available.
Also, only the Build-Depends were installed, not the Build-Depends-Indep.

Relevant part:
> g++ -c -Wall -O2 -g jlint.cc
> jlint.cc: In function 'void format_message(int, const utf_string&, int, __va_list_tag*)':
> jlint.cc:185:29: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> jlint.cc:197:31: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> jlint.cc:240:68: warning: field precision specifier '.*' expects argument of type 'int', but argument 3 has type 'long int' [-Wformat]
> jlint.cc: In function 'void set_class_source_path(class_desc*)':
> jlint.cc:299:50: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
> jlint.cc: In function 'bool parse_class_file(byte*)':
> jlint.cc:431:9: warning: unused variable 'desc_index' [-Wunused-variable]
> jlint.cc:496:13: warning: unused variable 'max_stack' [-Wunused-variable]
> jlint.cc:325:7: warning: unused variable 'minor_version' [-Wunused-variable]
> jlint.cc:327:7: warning: unused variable 'major_version' [-Wunused-variable]
> jlint.cc: In function 'int main(int, char**)':
> jlint.cc:1086:50: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
> make[1]: *** [jlint.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/03/30/jlint_3.0-4.4_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Ganesan Rajagopal <rganesan@debian.org>:
Bug#666280; Package src:jlint. (Sat, 12 May 2012 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Ganesan Rajagopal <rganesan@debian.org>. (Sat, 12 May 2012 16:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 666280@bugs.debian.org (full text, mbox):

From: Peter Green <peter.green@postgrad.manchester.ac.uk>
To: "666280@bugs.debian.org" <666280@bugs.debian.org>
Cc: "control@bugs.debian.org" <control@bugs.debian.org>
Subject: jlint: FTBFS: jlint.cc:299:50: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
Date: Sat, 12 May 2012 16:41:38 +0000
[Message part 1 (text/plain, inline)]
This issue is a target dependency issue in debian/rules. When building with build-arch or build-indep (rather than build) the patch target is not called and the package tries and fails to build the unpatched source.

Patch fixing the target dependencies is attatched.
[Message part 2 (text/html, inline)]
[jlint.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Sebastian Ramacher <s.ramacher@gmx.at> to control@bugs.debian.org. (Sat, 23 Jun 2012 21:39:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ganesan Rajagopal <rganesan@debian.org>:
Bug#666280; Package src:jlint. (Fri, 06 Jul 2012 03:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Ganesan Rajagopal <rganesan@debian.org>. (Fri, 06 Jul 2012 03:03:02 GMT) Full text and rfc822 format available.

Message #17 received at 666280@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 666280@bugs.debian.org
Subject: jlint: diff for NMU version 3.0-4.5
Date: Fri, 6 Jul 2012 05:00:07 +0200
[Message part 1 (text/plain, inline)]
tags 666280 + pending
thanks

Dear maintainer,

I've prepared an NMU for jlint (versioned as 3.0-4.5) and
have it uploaded soon.

Cheers

Luk
[jlint-3.0-4.5-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 06 Jul 2012 03:03:07 GMT) Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Fri, 06 Jul 2012 15:03:32 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 06 Jul 2012 15:03:34 GMT) Full text and rfc822 format available.

Message #24 received at 666280-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 666280-close@bugs.debian.org
Subject: Bug#666280: fixed in jlint 3.0-4.5
Date: Fri, 06 Jul 2012 15:02:16 +0000
Source: jlint
Source-Version: 3.0-4.5

We believe that the bug you reported is fixed in the latest version of
jlint, which is due to be installed in the Debian FTP archive:

jlint-doc_3.0-4.5_all.deb
  to main/j/jlint/jlint-doc_3.0-4.5_all.deb
jlint_3.0-4.5.diff.gz
  to main/j/jlint/jlint_3.0-4.5.diff.gz
jlint_3.0-4.5.dsc
  to main/j/jlint/jlint_3.0-4.5.dsc
jlint_3.0-4.5_i386.deb
  to main/j/jlint/jlint_3.0-4.5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666280@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated jlint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Jul 2012 02:53:01 +0000
Source: jlint
Binary: jlint jlint-doc
Architecture: source all i386
Version: 3.0-4.5
Distribution: unstable
Urgency: low
Maintainer: Ganesan Rajagopal <rganesan@debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 jlint      - A Java Program Checker
 jlint-doc  - Manual for jlint - a Java Program Checker
Closes: 666280
Changes: 
 jlint (3.0-4.5) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix makefile target dependencies (Closes: #666280).
Checksums-Sha1: 
 b34db6de71a53499dfcbfd112b196cb46deab53a 1058 jlint_3.0-4.5.dsc
 2029d6a04a6bdeed6a75c153e0455262011b4d89 5596 jlint_3.0-4.5.diff.gz
 b3093b2d87f1887ee87ffb02633de63638ec103b 188152 jlint-doc_3.0-4.5_all.deb
 86fb7a715edfcda04f2fddde1fbf57a024ab3d41 59898 jlint_3.0-4.5_i386.deb
Checksums-Sha256: 
 b43c1a2a28f7661609868d77e3a8903962431d9568ba69a87398b8b1a2e22f53 1058 jlint_3.0-4.5.dsc
 1c979cb54d3b564a921674244047e9e2bdfc7c9d3f10ca8ade7c0fe511699ab3 5596 jlint_3.0-4.5.diff.gz
 eb12f8c1e721936cb10ef0a4836e23413ca75b6f9e7b3d8573df80a02b3b746a 188152 jlint-doc_3.0-4.5_all.deb
 1a05ae5e87342778e4fac31ddb5c72613ed0cf2c9c9f10e3043d9339af47925d 59898 jlint_3.0-4.5_i386.deb
Files: 
 1a7344f27bad47e3c00f63e42c82b47f 1058 devel optional jlint_3.0-4.5.dsc
 dc23113b5fe40221fe598ba2dd9e38d0 5596 devel optional jlint_3.0-4.5.diff.gz
 e6189035deea262d2575b1ede6914b54 188152 doc optional jlint-doc_3.0-4.5_all.deb
 abb84f031c72fd6de6ab39a0b490c4ea 59898 devel optional jlint_3.0-4.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/2+8kACgkQ+C5cwEsrK57lcwCg1u3Gzv+FVsPKZSKrwS/xX8nb
RKcAn1JaMS/FUvtLiElxdfRLmut89CD6
=NAE7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:39:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:10:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.